## gaminggear 0.11.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
IF(POLICY CMP0022)
  CMAKE_POLICY(SET CMP0022 OLD)
ENDIF()

PROJECT(libgaminggear C)

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF()

IF(CMAKE_COMPILER_IS_GNUCC)
  # * Force gcc to generate single line error messages (used for eclipse cdt)
  # * Play it save with lots of warning messages
  # * Define GNU source for some extras
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fmessage-length=0 -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-type-limits -D_GNU_SOURCE")
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
  SET(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} -Wl,--as-needed")
ENDIF()
SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE -DG_ERRORCHECK_MUTEXES -DG_ENABLE_DIAGNOSTIC")
SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT")

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules")

INCLUDE(INSTALL_LIBDIR)
INCLUDE(INSTALL_CMAKE_MODULESDIR)
INCLUDE(INSTALL_PKGCONFIGDIR)

IF(WITH_UHID)
  FIND_PACKAGE(UHID REQUIRED)
ELSEIF(WITH_UINPUT)
  FIND_PACKAGE(UINPUT REQUIRED)
ELSE()
  FIND_PACKAGE(UHID)
  IF(NOT UHID_FOUND)
    FIND_PACKAGE(UINPUT)
	IF(NOT UINPUT_FOUND)
	  MESSAGE(FATAL_ERROR "Neither uhid nor uinput was found")
	ENDIF()
  ENDIF()
ENDIF()

FIND_PACKAGE(CANBERRA REQUIRED)
FIND_PACKAGE(GMODULE2 REQUIRED)
FIND_PACKAGE(GTK REQUIRED)
FIND_PACKAGE(M REQUIRED)
FIND_PACKAGE(NOTIFY REQUIRED)
FIND_PACKAGE(SQLITE3 3.7)

FIND_LIBRARY(RT_LIBRARY rt)

IF(NOT GFX_PLUGIN_DIR)
  SET(GFX_PLUGIN_DIR ${INSTALL_LIBDIR}/gaminggear_plugins)
ENDIF()
MESSAGE(STATUS "Installing gfx plugins in ${GFX_PLUGIN_DIR}")

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  @ONLY
)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

SET(V_MAJOR 0)
SET(V_MINOR 11)
SET(V_MICRO 1)
SET(TRANSLATION_LANGUAGES de en)

INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/include
  ${CMAKE_BINARY_DIR}/include
  ${CANBERRA_INCLUDE_DIRS}
  ${GTK_INCLUDE_DIRS}
  ${M_INCLUDE_DIR}
  ${NOTIFY_INCLUDE_DIRS}
)

ADD_SUBDIRECTORY(configuration)
ADD_SUBDIRECTORY(gaminggearfxcontrol)
ADD_SUBDIRECTORY(gaminggearfxinfo)
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(include)
ADD_SUBDIRECTORY(libgaminggear)
ADD_SUBDIRECTORY(libgaminggearfx)
ADD_SUBDIRECTORY(libgaminggearwidget)
ADD_SUBDIRECTORY(po)

=== configuration/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/gaminggear.pc.in ${CMAKE_CURRENT_BINARY_DIR}/gaminggear.pc @ONLY)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/gaminggear.pc
  DESTINATION ${INSTALL_PKGCONFIGDIR}
  RENAME gaminggear-${V_MAJOR}.pc
)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/FindGAMINGGEAR.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/FindGAMINGGEAR.cmake @ONLY)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/FindGAMINGGEAR.cmake
  DESTINATION ${INSTALL_CMAKE_MODULESDIR}
  RENAME FindGAMINGGEAR${V_MAJOR}.cmake
)

=== libgaminggearwidget/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/libgaminggear
  ${CMAKE_BINARY_DIR}/libgaminggear
)

ADD_LIBRARY (libgaminggearwidget SHARED
  gaminggear_about_dialog.c
  gaminggear_dialogs.c
  gaminggear_dscale.c
  gaminggear_gdk_key_translations.c
  gaminggear_hscale.c
  gaminggear_macro_combo_box.c
  gaminggear_macro_dialog.c
  gaminggear_macro_editor_advanced_list_store.c
  gaminggear_macro_editor_advanced_table.c
  gaminggear_macro_editor_advanced.c
  gaminggear_macro_editor_basic_list_store.c
  gaminggear_macro_editor_basic_tree_view.c
  gaminggear_macro_editor_basic.c
  gaminggear_macro_editor_dialog_menu_bar.c
  gaminggear_macro_editor_dialog.c
  gaminggear_macro_editor_interface.c
  gaminggear_macro_editor_key_sequence_frame.c
  gaminggear_macro_editor_macro_options_frame.c
  gaminggear_macro_editor_macros_frame.c
  gaminggear_macro_editor_record_options_frame.c
  gaminggear_macro_editor.c
  gaminggear_macro_tree_store.c
  gaminggear_macro_tree_view.c
  gaminggear_ruler.c
  gaminggear_text_dialog.c
  gaminggear_timeout_bar.c
  gaminggear_timeout_dialog.c
  gaminggear_xy_scales.c
  gaminggearwidget.c
  gaminggearwidget_helper.c
)

ADD_DEPENDENCIES(libgaminggearwidget
  generated_headers
)

TARGET_LINK_LIBRARIES(libgaminggearwidget
  libgaminggear
  ${M_LIBRARY}
  ${GTK_LIBRARIES}
  ${GDK_LIBRARIES}
  ${RT_LIBRARY}
)

TARGET_LINK_LIBRARIES(libgaminggearwidget LINK_INTERFACE_LIBRARIES)

SET_TARGET_PROPERTIES(libgaminggearwidget
  PROPERTIES
    VERSION ${V_MAJOR}.${V_MINOR}.${V_MICRO}
    SOVERSION ${V_MAJOR}
    OUTPUT_NAME gaminggearwidget
    COMPILE_FLAGS "-DG_LOG_DOMAIN=\\\"GamingGear\\\""
)

INSTALL(TARGETS libgaminggearwidget DESTINATION ${INSTALL_LIBDIR})

=== debian/changelog ===
gaminggear (0.11.1-1mx150+20150827) mx; urgency=medium

  * Repackaged for MX-15

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Sat, 09 Jan 2016 09:42:15 -0500

gaminggear (0.11.1+20150827-1) experimental; urgency=medium

  * new version (import upstream changes)

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 27 Aug 2015 15:05:13 +0200

gaminggear (0.10.1+20150629-1) experimental; urgency=medium

  * new version (import upstream changes)

 -- Jürgen Tretthahn <orson@orson.at>  Mon, 29 Jun 2015 14:55:31 +0200

gaminggear (0.9.0+20150527-1) experimental; urgency=medium

  * add debian/libgaminggear0.symbols (with symbol hinstory since 0.2.0)

 -- Jürgen Tretthahn <orson@orson.at>  Wed, 27 May 2015 18:14:52 +0200

gaminggear (0.9.0+20150526-1) experimental; urgency=medium

  * new version (import upstream changes)

 -- Jürgen Tretthahn <orson@orson.at>  Tue, 26 May 2015 17:26:44 +0200

gaminggear (0.8.0+20150421-2) experimental; urgency=medium

  * new version (import upstream changes)
  * debian/control:
    - For libgamginggear-dev add to Depends:
      libnotify-dev, libsqlite3-dev, libcanberra-dev, libgtk2.0-dev,
      libglib2.0-dev

 -- Jürgen Tretthahn <orson@orson.at>  Tue, 21 Apr 2015 15:53:46 +0200

gaminggear (0.7.0+20150312-3) experimental; urgency=medium

  * debian/rules:
   - Fix GFX_PLUGIN_DIR to fixed /usr prefix as this gets set into
     FindGAMINGGEAR0.cmake which doesn't know about ${prefix} when
     used within roccat-tools build.

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 12 Mar 2015 23:17:59 +0100

gaminggear (0.7.0+20150312-2) experimental; urgency=medium

  * debian/rules:
    - Add GFX_PLUGIN_DIR cmake config option

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 12 Mar 2015 21:57:28 +0100

gaminggear (0.7.0+20150312-1) experimental; urgency=medium

  * new version (import upstream changes)

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 12 Mar 2015 18:11:50 +0100

gaminggear (0.6.0+20150225-1) experimental; urgency=medium

  * new version (import upstream changes)

 -- Jürgen Tretthahn <orson@orson.at>  Wed, 25 Feb 2015 22:48:51 +0100

gaminggear (0.5.0+20141008-1) experimental; urgency=medium

  * new version (import upstream changes)

 -- Jürgen Tretthahn <orson@orson.at>  Wed, 08 Oct 2014 16:14:57 +0200

gaminggear (0.4.0+20140708-1) experimental; urgency=medium

  * new version (import upstream changes)

 -- Jürgen Tretthahn <orson@orson.at>  Tue, 08 Jul 2014 14:17:04 +0200

gaminggear (0.3.0+20140605-1) experimental; urgency=medium

  * new version (import upstream changes)

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 05 Jun 2014 18:29:49 +0200

gaminggear (0.2.0+20140521-2) experimental; urgency=medium

  * debian/rules:
    - Change CMAKE_BUILD_TYPE from None to Debug

 -- Jürgen Tretthahn <orson@orson.at>  Wed, 21 May 2014 17:25:27 +0200

gaminggear (0.2.0+20140521-1) experimental; urgency=medium

  * debian/rules:
    - fix DEB_CMAKE_EXTRA_FLAGS/INSTALL_LIBDIR from PREFIX to prefix

 -- Jürgen Tretthahn <orson@orson.at>  Wed, 21 May 2014 15:18:33 +0200

gaminggear (0.2.0+20140520-3) experimental; urgency=medium

  * debian/libgaminggear-dev.install:
    - fix pkgconfig multiarch install path

 -- Jürgen Tretthahn <orson@orson.at>  Tue, 20 May 2014 22:04:20 +0200

gaminggear (0.2.0+20140520-2) experimental; urgency=medium

  * debian/libgaminggear-common:
    - move html doc to usr/share/doc/libgaminggear-common/html

 -- Jürgen Tretthahn <orson@orson.at>  Tue, 20 May 2014 21:20:05 +0200

gaminggear (0.2.0+20140520-1) experimental; urgency=medium

  * Initial release.

 -- Jürgen Tretthahn <orson@orson.at>  Tue, 20 May 2014 19:02:12 +0200

=== debian/control ===
Source: gaminggear
Section: libs
Priority: optional
Maintainer: Jürgen Tretthahn <orson@orson.at>
Build-Depends: debhelper (>> 8.1.3), cdbs (>= 0.4.93),
 autotools-dev, automake (>> 1.9), autoconf (>> 2.60), cmake (>=2.8),
 libcanberra-dev, libdbus-glib-1-dev, libgtk2.0-dev, libglib2.0-dev,
 libgudev-1.0-dev, libnotify-dev, libusb-1.0-0-dev, libsqlite3-dev,
 doxygen, gettext
Standards-Version: 3.9.2
Homepage: http://libgaminggear.sourceforge.net


Package: gaminggear-utils
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gaminggear utils
 Includes following binaries:
 * gaminggearfxinfo
 * gaminggearfxcontrol
 .
 This package contains the runtime binaries for the utils.

Package: gaminggear-utils-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, gaminggear-utils (= ${binary:Version})
Description: Gaminggear utils - Debug symbols
 Debug package
 .
 This package contains the debug symbols for gaminggear-utils.

Package: libgaminggear-common
Section: libs
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provides general functionality for gaming input devices (common files)
 Library package.
 .
 This package contains the libgaminggear common files.

Package: libgaminggear0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libgaminggear-common (= ${binary:Version})
Recommends: gaminggear-utils
Suggests: gaminggear-utils
Description: Provides general functionality for gaming input devices 
 Library package.
 .
 This package contains the libgaminggear library.

Package: libgaminggear0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libgaminggear0 (= ${binary:Version})
Description: Provides general functionality for gaming input devices (debug)
 Debug library package.
 .
 This package contains the libgaminggear debug symbols.

Package: libgaminggear-dev
Section: libdevel
Architecture: any
Depends: libgaminggear0 (= ${binary:Version}), cmake (>=2.8),
 libnotify-dev, libsqlite3-dev, libcanberra-dev, libgtk2.0-dev, libglib2.0-dev
Description: Provides general functionality for gaming input devices (devel)

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/cdbs/1/rules/debhelper.mk
CFLAGS := -g -O0 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall
include /usr/share/cdbs/1/class/cmake.mk

#CFLAGS+= -DHAVE_NOTIFY_0_7
#DEB_OPT_FLAG := "-O0"
#DEB_CMAKE_NORMAL_ARGS += -DCMAKE_BUILD_TYPE=Debug
#CMAKE_C_FLAGS="-g -O0 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall"
#CMAKE_CXX_FLAGS="-g -O0 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall"

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
#DEB_CMAKE_EXTRA_FLAGS += -DGTK2_GDKCONFIG_INCLUDE_DIR="/usr/include/gtk-2.0"
#DEB_CMAKE_EXTRA_FLAGS += -DDEVICES="koneplus"
#DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=None
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=Debug -DWITH_DOC=TRUE
DEB_CMAKE_EXTRA_FLAGS += -DINSTALL_LIBDIR=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
DEB_CMAKE_EXTRA_FLAGS += -DGFX_PLUGIN_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
#DEB_CMAKE_EXTRA_FLAGS += -DUINPUT_DIR=/dev/input
#DEB_CMAKE_EXTRA_FLAGS += -DGFX_PLUGIN_DIR=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
DEB_DH_INSTALL_ARGS += --fail-missing
#DEB_DH_INSTALL_ARGS += --list-missing
#LD_LIBRARY_PATH += "$(CURDIR)/debian/libroccat0/usr/lib/$(DEB_HOST_MULTIARCH)/roccat"

common-configure-arch::
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	  debian/libgaminggear0.install.in > debian/libgaminggear0.install
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	  debian/libgaminggear-dev.install.in > debian/libgaminggear-dev.install
	#sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	#  debian/libkoneplus0.install.in > debian/libkoneplus0.install
	#sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	#  debian/libkoneplus-dev.install.in > debian/libkoneplus-dev.install

clean::
	rm -f debian/libgaminggear0.install
	rm -f debian/libgaminggear-dev.install
